using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp5
{
    class Program
    {
        
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            double[] a = new double[n];
            double[] p = new double[n];
            double r = 0;
            double x = 0;
            for (int i = 0; i < n; i++)
            {
                string[] s = Console.ReadLine().Split(' ');
                a[i] = double.Parse(s[0]);
                p[i] = double.Parse(s[1]);
            }
            for(int i = 0; i < n; i++)
            {
                r = r + a[i];
                if (r * p[i]/100 > r * x/100) x = p[i];
                
            }
            Console.WriteLine(r * x / 100);
        }
    }
}